Bug 1545388 - [MAN] Missing Man pages for tools CMCRequest, CMCResponse, CMCSharedToken
Summary: [MAN] Missing Man pages for tools CMCRequest, CMCResponse, CMCSharedToken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pki-core
Version: 7.5
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Christina Fu
QA Contact: Asha Akkiangady
URL:
Whiteboard:
Depends On:
Blocks: 1557880 1570916
TreeView+ depends on / blocked
 
Reported: 2018-02-14 19:48 UTC by Christina Fu
Modified: 2018-10-30 11:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
: 1557880 (view as bug list)
Environment:
Last Closed: 2018-10-30 11:05:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3195 None None None 2018-10-30 11:06:40 UTC

Description Christina Fu 2018-02-14 19:48:55 UTC
RHCS 9.3 Common Criteria evaluation requires adequate documentation. 

CMC is the core feature required by the CA Protection Profile.  We are missing man pages for the following tools: CMCRequest, CMCRevoke, and CMCResponse

In addition, the existing tool CMCEnroll has not been updated to support the latest CMC feature update, and yet its man page exists.  Should probably add a note in there to state the fact.

Comment 3 Christina Fu 2018-03-15 02:10:26 UTC
up for review:
https://review.gerrithub.io/403908

Comment 4 Christina Fu 2018-03-16 16:46:08 UTC
pushed to master

Author: Christina Fu <cfu@redhat.com>
Date:   Mon Feb 26 13:16:01 2018 -0800

    Ticket #2940 [MAN] Missing Man pages for tools CMCRequest, CMCResponse, CMCSharedToken, and CMCRevoke
    
    This patch adds man pages for CMCRequest, CMCResponse, and CMCSharedToken.
    In addition, the usage in CMCResponse has been enhanced to include a
    verbose mode which will output certs in Base64 encoding individually.
    A "note" has been added to CMCRevoke --help to direct users to CMCRequest
    for better usability. The man page for CMCRevoke is intentionaly left out
    for this reason.
    
    The URL in CMCRequest.1 is a placeholder for the follow-up patch.  It will
    be replaced once the examples are complete.
    
    This patch addresses https://pagure.io/dogtagpki/issue/2940
    
    Change-Id: Id1df31a29207a0d12d50b7a3b959a3abcd9748d0

Comment 6 Matthew Harmsen 2018-04-05 22:05:10 UTC
commit 3ce3ae9bd73a906beb0254a7488b15e11ddcf905
Author: Christina Fu <cfu@redhat.com>
Date:   Mon Mar 26 10:09:42 2018 -0700

    reflect dogtagpki url change in CMCRequest man page.
    
    Change-Id: I8eb5884a26850b87f378c4417939c873c27fd409

Comment 8 Matthew Harmsen 2018-06-26 00:59:42 UTC
Test Procedure:

Verify man pages are correct.

Comment 9 Geetika Kapoor 2018-08-16 12:14:13 UTC
Test Env:

rpm -qa pki-ca
pki-ca-10.5.9-5.el7.noarch


Test Steps:

Man pages looks good.

Comment 11 errata-xmlrpc 2018-10-30 11:05:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3195


Note You need to log in before you can comment on or make changes to this bug.